#!/bin/bash
#
# Gradle startup script for macOS
#

# Set the directory of the script as the base directory
DIRNAME="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
APP_BASE_NAME=$(basename "$0")
APP_HOME="$DIRNAME"

# Resolve any "." and ".." in APP_HOME to make it shorter
cd "$APP_HOME"
APP_HOME=$(pwd)

# Add default JVM options here. You can also use JAVA_OPTS and GRADLE_OPTS to pass JVM options to this script.
DEFAULT_JVM_OPTS=("-Xmx64m" "-Xms64m")

# Find java executable
if [ -n "$JAVA_HOME" ]; then
    JAVA_EXE="$JAVA_HOME/bin/java"
else
    JAVA_EXE="java"
fi

if type -p "$JAVA_EXE" >/dev/null 2>&1; then
    execute
else
    echo "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH."
    echo "Please set the JAVA_HOME variable in your environment to match the location of your Java installation."
    fail
fi

execute() {
    # Setup the classpath
    CLASSPATH="$APP_HOME/gradle/wrapper/gradle-wrapper.jar"

    # Execute Gradle
    "$JAVA_EXE" "${DEFAULT_JVM_OPTS[@]}" $JAVA_OPTS $GRADLE_OPTS "-Dorg.gradle.appname=$APP_BASE_NAME" -classpath "$CLASSPATH" org.gradle.wrapper.GradleWrapperMain "$@"
}

fail() {
    # Set variable GRADLE_EXIT_CONSOLE if you need the _script_ return code instead of
    # the _cmd.exe /c_ return code!
    if [ -n "$GRADLE_EXIT_CONSOLE" ]; then
        exit 1
    fi
    exit 1
}

# Main execution
execute
